.tx-udem-papyrus {
    .table {
        width: 100%;
        max-width: 100%;
        border-spacing: 0;
    }

    .table > thead > tr > th,
    .table > tbody > tr > th,
    .table > tfoot > tr > th,
    .table > thead > tr > td,
    .table > tbody > tr > td,
    .table > tfoot > tr > td {
        padding: var(--spacing-big) var(--spacing-medium);
    }

    .table > thead > tr > th {
        vertical-align: bottom;
        border-bottom: 2px solid var(--colors-ui-bordure-defaut);
        text-align: left;
        font-size: var(--font-size-medium);
        line-height: var(--font-line-height-medium);
        font-weight: 600;
    }

    .table > tbody > tr {
        vertical-align: top;
    }

    .table-striped > tbody > tr:nth-of-type(even) {
        background-color: var(--colors-ui-surface-secondaire);
    }

    .table > tbody > tr > td.infos-combinees > div {
        padding-bottom: var(--spacing-small);

        &.combine-title {
            padding-bottom: var(--spacing-large);
        }

        .combine-contributor,
        .combine-author {
            font-weight: 600;
        }
    }

    @media (width < 992px) {
        .hidden-xs {
            display: none !important;
        }
    }

    @media (width >= 992px) {
        .visible-xs {
            display: none !important;
        }
    }

    .before-documents {
        background-color: var(--colors-ui-section-bg-defaut);
        color: var(--colors-ui-element-switch);
        display: flex;
        flex-direction: column;

        > div {
            padding: var(--spacing-large);
        }

        @media (width >= 768px) {
            flex-direction: row;
            align-items: center;

            > div {
                width: 50%;
            }
        }
    }

    .recherche-input-group {
        background: white;
        box-sizing: border-box;
        border-radius: var(--border-radius-full);
        border: var(--udem-border-width) solid var(--udem-blanc);
        display: flex;
        height: unset;
        width: 100%;

        input {
            border: none;
            border-radius: var(--border-radius-full);
            width: 100%;

            &[type='search'] {
                background: transparent;
                appearance: none;
                border: none;
            }
        }

        udem-button {
            margin: 0;
        }
    }

    .search-form {
        margin-bottom: 0;

        .input-group {
            display: flex;
            width: min(100%, 419px);
            border-radius: var(--border-radius-full);
            border: 1px solid var(--colors-ui-bordure-secondaire);

            .search-input {
                width: 100%;
                margin-left: var(--spacing-medium);
                background-color: transparent;
                border: none;
                color: var(--colors-ui-element-switch);

                &:focus {
                    outline: none;
                }
            }
        }
    }

    table.documents {
        td > a, td > div > a {
            color: inherit;
            text-decoration: none;
        }

        > tbody > tr:hover {
            background-color: var(--colors-ui-element-hover);
            color: var(--colors-ui-element-hover-inverted);
            cursor: pointer;
        }
    }

    .service-error {
        margin-top: var(--spacing-huge);
        font-style: italic;
        font-weight: 600;
    }
}
